[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.SendItemIndex

Sends the value in ItemIndex to the widgetset class instance.

## Declaration

Source position: stdctrls.pp line 609

`protected procedure TCustomListBox.SendItemIndex;`

## Description

Called at run-time when a new value is assigned to the ItemIndex property and the Handle is valid for the widgetset class instance. It is called before the OnSelectionChange event handler is signalled.

## See also

TCustomListBox.ItemIndex |  | Ordinal position for the currently selected item, -1 if none.
TCustomListBox.OnSelectionChange |  | Handler invoked when an item is selected in the control.